org.apache.cassandra.db

## Class RowIndexEntry.Serializer

- java.lang.Object
- - org.apache.cassandra.db.RowIndexEntry.Serializer

All Implemented Interfaces:
  RowIndexEntry.IndexSerializer<IndexHelper.IndexInfo>

Enclosing class:
  RowIndexEntry<T>

    public static class RowIndexEntry.Serializer
    extends java.lang.Object
    implements RowIndexEntry.IndexSerializer<IndexHelper.IndexInfo>

### Constructor Summary

Constructors
Constructor and Description
`Serializer(ISerializer<IndexHelper.IndexInfo> idxSerializer)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`RowIndexEntry<IndexHelper.IndexInfo>` `deserialize(java.io.DataInput in, Version version)`
`void` `serialize(RowIndexEntry<IndexHelper.IndexInfo> rie, DataOutputPlus out)`
`int` `serializedSize(RowIndexEntry<IndexHelper.IndexInfo> rie)`
`static void` `skip(java.io.DataInput in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer(ISerializer<IndexHelper.IndexInfo> idxSerializer)

### Method Detail

#### serialize

    public void serialize(RowIndexEntry<IndexHelper.IndexInfo> rie,
                          DataOutputPlus out)
                   throws java.io.IOException

Specified by:
  `serialize` in interface `RowIndexEntry.IndexSerializer<IndexHelper.IndexInfo>`
Throws:
  `java.io.IOException`

#### deserialize

    public RowIndexEntry<IndexHelper.IndexInfo> deserialize(java.io.DataInput in,
                                                            Version version)
                                                     throws java.io.IOException

Specified by:
  `deserialize` in interface `RowIndexEntry.IndexSerializer<IndexHelper.IndexInfo>`
Throws:
  `java.io.IOException`

#### skip

    public static void skip(java.io.DataInput in)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public int serializedSize(RowIndexEntry<IndexHelper.IndexInfo> rie)

Specified by:
  `serializedSize` in interface `RowIndexEntry.IndexSerializer<IndexHelper.IndexInfo>`